
#ifndef SRC_DISPLAY_H_
#define SRC_DISPLAY_H_

#include "stm32f3xx_hal.h"

class Display {
public:
	Display();
	virtual ~Display();

	static void DC_L(void);
	static void DC_H(void);

	static void RESET_L(void);
	static void RESET_H(void);

	static void CS_Active(void);
	static void CS_Inactive(void);

	static void LED_L(void);
	static void LED_H(void);

	void LCD_WR_REG(uint8_t data);
	static void LCD_WR_DATA(uint8_t data);

	void ILI9341_Reset(void);
	void ILI9341_SoftReset(void);

	void ILI9341_Init(void);

	void SetWindow(uint16_t x0, uint16_t y0, uint16_t x1, uint16_t y1);
	void DrawPixel(uint16_t x, uint16_t y, uint16_t color);

	void InvertColorOn();

};

#endif /* SRC_DISPLAY_H_ */
